# -*- coding: utf-8 -*-
# Generated by Django 1.11.4 on 2017-12-18 13:59
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Comment',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('comment', models.TextField()),
                ('created_at', models.DateTimeField(auto_now_add=True)),
            ],
            options={
                'ordering': ['created_at'],
            },
        ),
        migrations.CreateModel(
            name='Expertise',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('expert', models.CharField(max_length=27, verbose_name='Bahasa Pemrograman')),
                ('level', models.CharField(max_length=27, verbose_name='Tingkatan')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
            ],
        ),
        migrations.CreateModel(
            name='Profile',
            fields=[
                ('kode_identitas', models.CharField(max_length=20, primary_key=True, serialize=False)),
                ('first_name', models.CharField(blank=True, max_length=255, null=True, verbose_name='Nama Depan')),
                ('last_name', models.CharField(blank=True, max_length=255, null=True, verbose_name='Nama Belakang')),
                ('image_url', models.URLField(blank=True, null=True, verbose_name='Foto')),
                ('email', models.EmailField(blank=True, max_length=254, null=True, verbose_name='Email')),
                ('profile_url', models.URLField(blank=True, null=True, verbose_name='Profile LinkedIn')),
                ('batch', models.IntegerField(null=True, verbose_name='Angkatan')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('user', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='Status',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('status', models.TextField()),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name_plural': 'Statuses',
                'ordering': ['-created_at'],
            },
        ),
        migrations.AddField(
            model_name='expertise',
            name='user',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='expertises', to='mahasiswa.Profile'),
        ),
        migrations.AddField(
            model_name='comment',
            name='status',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='comments', to='mahasiswa.Status'),
        ),
    ]
